Subject: Re: bug#31384: Create a more visible link to official source code branch on official website

From: Robert Pluim <[email-masked]>
Date: Mon, 15 Jul 2019 11:47:00 +0200

>>>>> On Sat, 13 Jul 2019 16:52:58 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Larsi> Vlad Vladov <[email-masked]> writes:
    >> I think it would make it easier for others to find source code and
    >> contribute to the project as there are a lot of different forks of
    >> emacs available and it is better to make it clear which is the
    >> official one (For example there are couple of links to github if you
    >> google emacs source code rather than savannah).

    Larsi> Yes, I agree.  Could somebody who knows how the gnu.org web page stuff
    Larsi> works fix https://www.gnu.org/software/emacs/download.html

    Larsi> which says

    Larsi> "GNU Emacs development is hosted on savannah.gnu.org. "

    Larsi> to something that mentions "source code"?

I can push the following, if thatʼs what you want (and Iʼm strongly
hoping that vc will Do The Right Thing™, because my CVS neurons were
purged a decade ago).

Index: download.html
===================================================================
RCS file: /web/emacs/emacs/download.html,v
retrieving revision 1.16
diff -u -r1.16 download.html
--- download.html	13 Jun 2019 15:42:04 -0000	1.16
+++ download.html	15 Jul 2019 09:43:20 -0000
@@ -77,7 +77,7 @@
                         key from Nicolas Petton <[email-masked]>, fingerprint <code>28D3 BED8 51FD F3AB 57FE F93C 2335 87A4 7C20 7910</code> (until 25.3) or <code>D405 AA2C 862C 54F1 7EEE 6BE0 E8BC D786 6AFC F978</code> (since 26.1), which can be found in the <a href="https://ftp.gnu.org/gnu/gnu-keyring.gpg">GNU keyring</a>.
 		    </p>
 
-                    <p>GNU Emacs development is hosted on
+                    <p>GNU Emacs source code and development is hosted on
                         <a href="http://savannah.gnu.org/projects/emacs/">savannah.gnu.org</a>.
                     </p>